dev builds
themes manual
device status forums
mailing lists
IRC bugs
dev guide

Rockbox mail archive

Subject: Re: Compiling the Simulator on Mac OS X
From: svante t (
Date: 2003-07-19

unfortunately I dont think its possible to have both Apples port and
the original at the same time... Fink tells me there's a conflict
between them, which means I have to uninstall Apples version first
and then install the other. Seem stupid to me that Apple wouldnt
include those files?
Maybe I can browse the original XFree CVS and see if they come with
their version.


>you could try to install Xfree via
>then add the include path to the headerfiles via INCLUDES or CFLAGS
>in the Makefile of rockbox. (e.g. -I/usr/X11R6/include)
>I`m not shure if you really need to uninstall Apple`s X11
>implementation first - you just
>should need "original" X11 for compiling and linking (ans so you
>need the headerfiles).
>running the app should work against ANY X11 server.

Page was last modified "Jan 10 2012" The Rockbox Crew